aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sems/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-06-28 08:51:17 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-06-28 08:51:17 +0000
commit78e13c7934f6f1f69df4a3c6674b390791d2a5da (patch)
treea287f83aeaa899156c1aee14b04d0c0b44794c9a /testing/sems/APKBUILD
parentf7b7bee3e81109a892e43065b6c16cd8c3779502 (diff)
downloadaports-78e13c7934f6f1f69df4a3c6674b390791d2a5da.tar.gz
aports-78e13c7934f6f1f69df4a3c6674b390791d2a5da.tar.bz2
aports-78e13c7934f6f1f69df4a3c6674b390791d2a5da.tar.xz
testing/sems: upgrade to 1.2.1
Diffstat (limited to 'testing/sems/APKBUILD')
-rw-r--r--testing/sems/APKBUILD49
1 files changed, 31 insertions, 18 deletions
diff --git a/testing/sems/APKBUILD b/testing/sems/APKBUILD
index 2f1e6ee055..9d16fc8336 100644
--- a/testing/sems/APKBUILD
+++ b/testing/sems/APKBUILD
@@ -6,12 +6,12 @@ pkgrel=0
pkgdesc="High performance, extensible media server for SIP (RFC3261) based VoIP services"
url="http://iptel.org/sems/"
license="GPL-2"
-depends="kamailio"
-makedepends="python-dev openssl-dev lame-dev"
-install=
-subpackages=
+install="$pkgname.pre-install $pkgname.post-install"
+makedepends="python-dev openssl-dev cmake bash"
source="http://ftp.iptel.org/pub/sems/sems-$pkgver.tar.gz
0003-cc-and-cflags.patch
+ sems.conf
+ sems.initd
"
prepare() {
@@ -22,37 +22,50 @@ prepare() {
patch -p1 -i $i || return 1
done
- sed -i -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
- -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
+ sed -i -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
+ -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
Makefile.defs \
|| return 1
+
+ # Patch for fixin unistd.h
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/AmArg.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/AmMediaProcessor.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/AmRtpReceiver.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/plug-in/sipctrl/udp_trsp.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/plug-in/stats/query_stats.cxx
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/annrecorder/AnnRecorder.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/callback/CallBack.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/diameter_client/ServerConnection.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/dsm/mods/mod_sys/ModSys.cpp
}
build() {
cd "$srcdir"/$pkgname-$pkgver
- make PREFIX=/usr \
- cfg-dir=/etc/sems/ \
- CC="$CC" CXX="$CXX" \
- exclude_modules+="ivr examples py_sems speex gateway echo g722" \
+ make PREFIX=/usr \
+ cfg-target=/etc/sems/ \
+ exclude_modules+="ivr examples py_sems speex gateway mp3 echo g722" \
WITH_MPG123DECODER=no \
- || return 1
+ all || return 1
}
package() {
cd "$srcdir"/$pkgname-$pkgver
- make PREFIX=/usr \
- cfg-dir=/etc/sems/ \
- exclude_modules+="ivr examples py_sems speex gateway echo g722" \
+
+ make PREFIX=/usr \
DESTDIR="$pkgdir" \
+ cfg-target=/etc/sems/ \
+ cfg-prefix="$pkgdir" \
+ exclude_modules+="ivr examples py_sems speex gateway mp3 echo g722" \
WITH_MPG123DECODER=no \
install || return 1
- # remove the 2 lines below (and this) if there is no init.d script
-# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-# install -m644 -D "$srcdir"//$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/sems/$pkgname.conf
}
md5sums="f0545c0708849e1a723d453244c2a79e sems-1.2.1.tar.gz
-0054e6ed7e11393e71204876179d3199 0003-cc-and-cflags.patch"
+0054e6ed7e11393e71204876179d3199 0003-cc-and-cflags.patch
+8b74528c8605b7adb01a0133fcd0c247 sems.conf
+2e738c6402eb1fbceb279cf050a9090f sems.initd"